Package Gnumed :: Package timelinelib :: Package dataimport :: Module tutorial :: Class TutorialTimelineCreator |
[frames] | no frames]

# Class TutorialTimelineCreator

source code

    object --+
             |
            TutorialTimelineCreator

Instance Methods
__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code
add_category(self, name, color, font_color, make_last_added_parent=False) | source code
add_milestone(self, time_add, text, label) | source code
add_era(self, start_add, end_add, name) | source code
add_event(self, text, description, start_add, end_add=None, hyperlink=None) | source code
add_container(self, text, description, start_add, end_add=None) | source code
add_subevent(self, container, text, description, start_add, end_add=None, hyperlink=None) | source code
get_db(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)